---
title: Two.ArcSegment
pageClass: docs
lang: en-US
---

# Two.ArcSegment


<div class="extends">

Extends: [Two.Path](/docs/path/)

</div>





<div class="meta">
  <custom-button text="Source" type="source" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js" />
</div>



### Constructor


| Argument | Description |
| ---- | ----------- |
|  x  | The x position of the arc segment. |
|  y  | The y position of the arc segment. |
|  innerRadius  | The inner radius value of the arc segment. |
|  outerRadius  | The outer radius value of the arc segment. |
|  startAngle  | The start angle of the arc segment in Number. |
|  endAngle  | The end angle of the arc segment in Number. |
|  resolution  | The number of vertices used to construct the arc segment. |



<div class="static member ">

## Properties

<h2 class="longname" aria-hidden="true"><a href="#Properties"><span class="prefix">Two.ArcSegment.</span><span class="shortname">Properties</span></a></h2>










<div class="properties">

A list of properties that are on every [Two.ArcSegment](/docs/shapes/arc-segment/).

</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L77">
    arc-segment.js:77
  </a>

</div>




</div>



<div class="static function ">

## MakeObservable

<h2 class="longname" aria-hidden="true"><a href="#MakeObservable"><span class="prefix">Two.ArcSegment.</span><span class="shortname">MakeObservable</span></a></h2>












<div class="params">

| Argument | Description |
| ---- | ----------- |
|  object  | The object to make observable. |
</div>




<div class="description">

Convenience function to apply observable qualities of a [Two.ArcSegment](/docs/shapes/arc-segment/) to any object. Handy if you'd like to extend the [Two.ArcSegment](/docs/shapes/arc-segment/) class on a custom class.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L83">
    arc-segment.js:83
  </a>

</div>




</div>



<div class="instance member ">

## innerRadius

<h2 class="longname" aria-hidden="true"><a href="#innerRadius"><span class="prefix">Two.ArcSegment.</span><span class="shortname">innerRadius</span></a></h2>










<div class="properties">

The size of the inner radius of the arc segment.

</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L32">
    arc-segment.js:32
  </a>

</div>




</div>



<div class="instance member ">

## outerRadius

<h2 class="longname" aria-hidden="true"><a href="#outerRadius"><span class="prefix">Two.ArcSegment.</span><span class="shortname">outerRadius</span></a></h2>










<div class="properties">

The size of the outer radius of the arc segment.

</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L40">
    arc-segment.js:40
  </a>

</div>




</div>



<div class="instance member ">

## startRadius

<h2 class="longname" aria-hidden="true"><a href="#startRadius"><span class="prefix">Two.ArcSegment.</span><span class="shortname">startRadius</span></a></h2>










<div class="properties">

The angle of one side for the arc segment.

</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L48">
    arc-segment.js:48
  </a>

</div>




</div>



<div class="instance member ">

## endAngle

<h2 class="longname" aria-hidden="true"><a href="#endAngle"><span class="prefix">Two.ArcSegment.</span><span class="shortname">endAngle</span></a></h2>










<div class="properties">

The angle of the other side for the arc segment.

</div>










<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L56">
    arc-segment.js:56
  </a>

</div>




</div>



<div class="instance function ">

## clone

<h2 class="longname" aria-hidden="true"><a href="#clone"><span class="prefix">Two.ArcSegment.</span><span class="shortname">clone</span></a></h2>




<div class="returns">

__Returns__: Two.ArcSegment



</div>









<div class="params">

| Argument | Description |
| ---- | ----------- |
|  parent  | The parent group or scene to add the clone to. |
</div>




<div class="description">

Create a new instance of [Two.ArcSegment](/docs/shapes/arc-segment/) with the same properties of the current path.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L322">
    arc-segment.js:322
  </a>

</div>




</div>



<div class="instance function ">

## toObject

<h2 class="longname" aria-hidden="true"><a href="#toObject"><span class="prefix">Two.ArcSegment.</span><span class="shortname">toObject</span></a></h2>




<div class="returns">

__Returns__: Object



</div>












<div class="description">

Return a JSON compatible plain object that represents the path.

</div>





<div class="meta">

  <a class="lineno" target="_blank" rel="noopener noreferrer" href="https://github.com/jonobr1/two.js/blob/main/src/shapes/arc-segment.js#L361">
    arc-segment.js:361
  </a>

</div>




</div>


